﻿namespace SafeCampus.System;
[SugarTable("PersonInfo", TableDescription = "人员信息表")]
[Tenant(SqlSugarConst.DB_DEFAULT)]
[BatchEdit]
[CodeGen]
//[IgnoreInitTable]
public class PersonInfo
{
    /// <summary>
    /// 人员id
    /// </summary>
    [SugarColumn(ColumnDescription = "人员id", IsPrimaryKey = true)]
    public string PersonId { get; set; }
    /// <summary>
    /// 人员名称
    /// </summary>
    [SugarColumn(ColumnName = "Name", ColumnDescription = "人员名称", ColumnDataType = StaticConfig.CodeFirst_BigString, IsNullable = false)]
    public string Name { get; set; }
    /// <summary>
    /// 年龄
    /// </summary>
    [SugarColumn(ColumnName = "Age", ColumnDescription = "年龄", ColumnDataType = StaticConfig.CodeFirst_BigString, IsNullable = false)]
    public int Age { get; set; }
    /// <summary>
    /// 性别
    /// </summary>
    [SugarColumn(ColumnName = "Gender", ColumnDescription = "性别", ColumnDataType = StaticConfig.CodeFirst_BigString, IsNullable = false)]
    public string Gender { get; set; }
    /// <summary>
    /// 手机号
    /// </summary>
    [SugarColumn(ColumnName = "Phone", ColumnDescription = "手机号", ColumnDataType = StaticConfig.CodeFirst_BigString, IsNullable = false)]
    public string Phone { get; set; }
    /// <summary>
    /// 扩展属性
    /// </summary>
    [SugarColumn(ColumnName = "ExtData", ColumnDescription = "扩展属性", ColumnDataType = StaticConfig.CodeFirst_BigString, IsNullable = false)]
    public string ExtData { get; set; }
    /// <summary>
    /// 人脸大小阈值
    /// </summary>
    [SugarColumn(ColumnName = "FaceSizeLimit", ColumnDescription = "人脸大小阈值", ColumnDataType = StaticConfig.CodeFirst_BigString, IsNullable = false)]
    public int FaceSizeLimit { get; set; }
    /// <summary>
    ///人脸质量分阈值
    /// </summary>
    [SugarColumn(ColumnName = "QualityScore", ColumnDescription = "人脸质量分阈值", ColumnDataType = StaticConfig.CodeFirst_BigString, IsNullable = false)]
    public float QualityScore { get; set; }
    /// <summary>
    /// 人脸列表
    /// </summary>
    [Navigate(NavigateType.OneToMany, nameof(PersonFaces.PersonId))]
    public List<PersonFaces> PersonFacesList { get; set; }
}